#!/bin/sh
#
# description: RAIDMon is a daemon that monitors the RAID subsystem
#               And generates e-mail to root
# processname: MegaServ.

case "$1" in
  start)
	megadevice="megadev0"
        rm -f /dev/$megadevice 2>/dev/null
        megamajor=`cat /proc/devices|awk '/megadev/{print$1}' `
        mknod /dev/$megadevice c $megamajor 0 2>/dev/null
	# New check : Timir: 10-31-01: Does node exist
	if [ ! -c /dev/$megadevice ]
	then
	  echo " 
		Character Device Node /dev/$megadevice does not exist.
	  	Raid Monitor could not be started
		"
	  exit 1
	fi

	echo -n 'Starting NetRAID Monitor:'
	MegaCt32 -start &> /dev/null
	touch /var/lock/subsys/raidmon
    echo
	;;
  stop)
	echo -n 'Stopping NetRAID Monitor:'
	MegaCt32 -stop &> /dev/null
	megadevice="megadev0"
        rm -f /dev/$megadevice 2>/dev/null
	rm -f /var/lock/subsys/raidmon 2>/dev/null
    echo
	;;
  restart|reload|force-reload)
	$0 stop
	$0 start
	;;
  *)
	echo "NetRAID Monitor is not Started/Stopped"
        echo "Usage: raidmon {start|stop|restart|reload|force-reload}"
	exit 1
esac

exit 0

